# This package contains no binaries, but paths are arch dependent
%global debug_package %{nil}

%define oname qcheck

Name:           ocaml-%{oname}
Version:        0.13
Release:        %mkrel 3
Summary:        Compatibility package for qcheck

Group:          Development/OCaml
License:        BSD
URL:            https://github.com/c-cube/qcheck/
Source0:        https://github.com/c-cube/qcheck/archive/%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam
BuildRequires:  ocaml-result-devel

BuildRequires:  ocaml-qcheck-ounit = 0.13
BuildRequires:  ocaml-qcheck-core = 0.13

%description
Compatibility package for qcheck

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-qcheck-ounit-devel = 0.13
Requires:       ocaml-qcheck-core-devel = 0.13


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt*
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.13-3.mga8
+ Revision: 1670732
- Rebuild to generate ocamlx provides

* Sun Mar 01 2020 pterjan <pterjan> 0.13-2.mga8
+ Revision: 1552712
- Rebuild with required dependencies installed

* Sun Mar 01 2020 pterjan <pterjan> 0.13-1.mga8
+ Revision: 1552690
- imported package ocaml-qcheck

